Subject: bug#40748: 28.0.50; Switching wifi networks hangs dns lookups

From: Dmitry Alexandrov <[email-masked]>
Date: Fri, 03 Jul 2020 07:11:39 +0300

> I often have trouble reconnecting Gnus' nntp servers after sleeping the laptop in one location, and waking it up in another, connecting to a new wifi network

> I edebugged `nntp-open-connection', and realized that the error ‹…› is actually a dns error:

Looks familiar!

> Here's the code that opens the connection; in my case it's nntp-open-network-stream/network.

Could not it actually be an even deeper issue I outlined in bug#41234: 27.0.91; Synchronous network requests are failing with “Name or service not known” [1]?

[1] <mid:[email-masked]>
    <https://bugs.gnu.org/41234>